Update recurring payment
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/recurring-payments/{payment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payee_name": "<string>",
"amount": 123,
"next_payment_date": "2023-12-25",
"last_payment_date": "2023-12-25",
"cancellation_date": "2023-12-25",
"cancelled_by": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/recurring-payments/{payment_id}"
payload = {
"payee_name": "<string>",
"amount": 123,
"next_payment_date": "2023-12-25",
"last_payment_date": "2023-12-25",
"cancellation_date": "2023-12-25",
"cancelled_by": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payee_name: '<string>',
amount: 123,
next_payment_date: '2023-12-25',
last_payment_date: '2023-12-25',
cancellation_date: '2023-12-25',
cancelled_by: '<string>',
notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/recurring-payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K6RP04DJ2T99HRYE78AN7YZA",
"payee_name": "Springfield Electric Co.",
"type": "utility",
"amount": 150,
"frequency": "monthly",
"next_payment_date": "2025-10-15",
"last_payment_date": "2025-09-15",
"status": "active",
"cancellation_date": "2023-12-25",
"cancelled_by": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Recurring Payments
Update recurring payment
Update a recurring payment (e.g., mark as cancelled).
PATCH
/
cases
/
{case_id}
/
bank-accounts
/
{account_id}
/
recurring-payments
/
{payment_id}
Update recurring payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Body
application/json
Available options:
direct_deposit, autopay, subscription, loan_payment, insurance_premium, utility, pension, social_security, annuity Available options:
weekly, biweekly, monthly, quarterly, annually Available options:
active, cancelled, paused, transferred Response
Recurring payment updated.
Show child attributes
Show child attributes
⌘I

